package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Data
@ToString
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseBussinessHistorySendPageBody extends BasePage {
    /**
     * 企业id
     */
    @NotNull(message = "企业id不能为空")
    private Integer cid;

    /**
     * 查询关键字
     */
    private String keys;

    /*
     * 排序条件：1金额倒序，2金额正序，3时间倒序，4时间正序，7下浮率倒序，8下浮率正序，9工期倒序，10工期正序
     */
    private Integer sort;

    /**
     * 开始时间（年月日）
     */
    private String dateFrom;

    /**
     * 截止时间（年月日）
     */
    private String dateTo;

    /**
     * 省份id（年月日）
     */
    private String provinceId;

    /**
     * 最小金额
     */
    private Double amountMin;

    /**
     * 最大金额
     */
    private Double amountMax;



}
