package com.dsk.common.dtos;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 人员查询实体类
 * @author Administrator
 *
 */
@Data
public class ComposePersonnelQueryDto {

	// 人员姓名
	String personName;
	// 人员id
	String staffId;
	// 企业名称
	String ename;
	//yes有业绩 no没业绩
	String mance;
	//企业注册地
	String domicile;

	String domicileNum;

	String domicileCity;

	String domicileCounty;
	//市
	String registerCity;
	//省份
	String registerProvince;
	//区
	String registerCounty;

	String cardNumber;
	//证书and/or
	String registerQueryType;
	// 注册类型   只有一人多证and
	List<RegisterTypeDto> registers;
	//人员荣誉
	List<AwardQueryDto> awardQueryDtos;
	//人员荣誉同时具备任意均可
	String personAwardQueryType;
	//人员业绩同时具备任意均可
	String achievementQueryType;
	//四库业绩
	List<AchievementQueryDto> achievementQueryDto;
	//四库业绩完整版
	List<AchievementQueryDto> achievementFullQueryDto;
	//最新中标业绩
	List<RecentlyBidQueryDto> recentlyBidQueryDto;
	//一体化项目业绩
	List<YitihuaAchievementQueryDto> yitihuaAchievements;
	//一体化业绩精简版
	List<YitihuaAchievementQueryDto> ythAchievements;
	//一体化业绩完整版
	List<YitihuaAchievementQueryDto> ythFullAchievements;
	//全平台业绩
	List<JabBasicEnterpriseProjectDto> basicAchievements;
	//江西中标业绩
	List<JiangxiBidQueryDto> jiangxiBidQueryDto;
	//水利业绩
	List<ShuiliAchievementQueryDto> shuiliAchievements;
	//人员业绩条件是否与企业业绩条件相同
	Boolean isSame;
	//人员业绩企业一致
	Integer achievementCount;
	//一体化来源
	String yitihuaSource;
	//资质到期日期参数
	@JSONField(format="yyyy-MM-dd")
	Date startCertValidityDate;
	@JSONField(format="yyyy-MM-dd")
	Date endCertValidityDate;

	String filePlaceCode;//备案地code

	Integer filePlaceType;//备案地类型  1 本省企业或外地备案 2 外地备案 3 本省企业

	String province;//注册地 省级code 多个逗号隔开

	String city;//注册地 市级code 多个逗号隔开

	String county;//注册地 区级code 多个逗号隔开
	//是否有电话 0否 1是
	Integer hasPhone;

	//关键词
	String keyword;
}
