package com.dsk.common.dtos;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

import java.util.Date;

/**
 * 项目立项数据(JskProjectEstablishment)实体类
 *
 * @author pig4cloud
 * @since 2022-04-09 17:06:01
 */
@Data
public class EstablishmentDto  {

    private String keyword;
    private String keywordNot;

    private String id;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 申请单位
     */
    private String companyName;
    
    private Integer companyId;
    /**
     * 立项阶段
     */
    
    private String  stage;
    /**
     * 审批部门
     */

    private String examineOffice;
    /**
     * 项目类型
     */

    private String projectType;
    /**
     * 事项名称
     */ 
    private String examineContent;
    /**
     * 审批结果
     */ 
    private String examineStatus;
    /**
     * 审批文号
     */ 
    private String licenseNum;
    /**
     * 计划开工时间
     */ 
    private String planStartTime;
    @JSONField(format="yyyy-MM-dd")
    private Date planStartTimeStart;
    @JSONField(format="yyyy-MM-dd")
    private Date planStartTimeEnd;
    /**
     * 建成时间
     */
    @JSONField(format="yyyy-MM-dd")
    private String planEndTime;
    @JSONField(format="yyyy-MM-dd")
    private Date planEndTimeStart;
    @JSONField(format="yyyy-MM-dd")
    private Date planEndTimeEnd;
    /**
     * 审批文件链接
     */ 
    private String licenseUrl;
    /**
     * 复核通过时间
     */ 
    private String reviewTime;
    /**
     * 办结时间
     */ 
    private String handleTime;
    @JSONField(format="yyyy-MM-dd")
    private Date handleTimeStart;
    @JSONField(format="yyyy-MM-dd")
    private Date handleTimeEnd;
    /**
     * 项目代码
     */ 
    private String projectCode;
    /**
     * 国家代码
     */ 
    private String countryCode;
    /**
     * 省
     */ 
    private Integer provinceId;
    /**
     * 市
     */ 
    private Integer cityId;
    /**
     * 区
     */ 
    private Integer districtId;

    
    private String domicile;
    /**
     * 省
     */ 
    private String province;
    /**
     * 市
     */ 
    private String city;
    /**
     * 区
     */ 
    private String district;
    /**
     * 总投资
     */ 
    private Double money;
    
    private Double startMoney;
    
    private Double endMoney;
    /**
     * 资金来源
     */ 
    private String sourceMoney;
    /**
     * 项目所属行业
     */ 
    private String industry;
    /**
     * 建设性质
     */ 
    private String buildNature;
    /**
     * 建设地点
     */ 
    private String buildAddre;
    /**
     * 建设规模和内容
     */ 
    private String buildScale;
    /**
     * 来源网站名称
     */ 
    private String sourceName;
    /**
     * 详情页url
     */ 
    private String sourceUrl;
    private String personTel;
    /**
     * 是否为民介
     */
    private Integer isProject;
    private String isProjectStr;
    private String approvalInfo;
    private String marketingInfo;
    /**
     * 创建时间 设置为mysql自动创建
     */ 
    private Date createTime;
    
    private String updateTime;



}