package com.dsk.common.dtos;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

import java.util.Date;

@Data
public class LandMarketDto  {

	private Integer id;

	/**
	 * 关键词
	 */
	private String keyword;

	private String keywordNot;

	/**
	 * 项目名称
	 */
	private String projectName;
	/**
	 * 受让人
	 */
	private String companyName;
	/**
	 * 企业ID
	 */
	private Integer companyId;
	/**
	 * 出让面积
	 */
	private Double acreage;
	private Double startAcreage;
	private Double endAcreage;
	/**
	 * 加价幅度
	 */
	private String addMoneyRange;
	/**
	 * 招拍挂起始时间
	 */
	private Date auctionBeginTime;
	/**
	 * 招拍挂截止时间
	 */
	private Date auctionEndTime;
	/**
	 * 批准单位
	 */
	private String authority;
	/**
	 * 保证金
	 */
	private Double bondmoney;
	/**
	 * 建筑面积
	 */
	private Double buildArea;
	private Double startBuildArea;
	private Double endBuildArea;
	/**
	 * 建筑密度
	 */
	private String buildingDensity;
	/**
	 * 建筑限高
	 */
	private String buildingHeight;
	private String domicile;
	/**
	 * 省
	 */
	private String province;
	/**
	 * 省ID
	 */
	private Integer provinceId;
	/**
	 * 市
	 */
	private String city;
	/**
	 * 市ID
	 */
	private Integer cityId;
	/**
	 * 区
	 */
	private String area;
	/**
	 * 区ID
	 */
	private Integer areaId;
	/**
	 * 合同编号
	 */
	private String contractNum;
	/**
	 * 合同签订日期
	 */
	private String contractSignTime;
	/**
	 * 合同签订日期
	 */
	@JSONField(format="yyyy-MM-dd")
	private Date contractSignTimeStart;
	/**
	 * 合同签订日期
	 */
	@JSONField(format="yyyy-MM-dd")
	private Date contractSignTimeEnd;
	/**
	 * 约定开工时间
	 */
	private Date conventionBeginTime;
	/**
	 * 约定竣工时间
	 */
	private Date conventionEndTime;
	/**
	 * 约定交地时间
	 */
	private Date conventionLandTime;
	/**
	 * 约定容积率
	 */
	private String conventionVolumeRate;
	/**
	 * 结果详情url
	 */
	private String detailUrl;
	/**
	 * 电子监管号
	 */
	private String electronicNumber;
	private String gdgid;
	/**
	 * 绿化率
	 */
	private String greeningRate;
	/**
	 * 行业分类
	 */
	private String industry;
	/**
	 * 投资强度
	 */
	private String investmentIntensity;
	/**
	 * 报名起始时间
	 */
	private Date joinBeginTime;
	/**
	 * 报名截止时间
	 */
	private Date joinEndTime;
	/**
	 * 土地坐落
	 */
	private String landAddr;
	/**
	 * 土地级别
	 */
	private String landLevel;
	/**
	 * 地块名称
	 */
	private String landName;
	/**
	 * 地块公示url
	 */
	private String landNoticeUrl;
	/**
	 * 土地来源
	 */
	private String landSource;
	/**
	 * 土地用途
	 */
	private String landUse;
	/**
	 * 土地使用权人cid
	 */
	private Integer landUseCompanyId;
	/**
	 * 土地使用权人
	 */
	private String landUseCompany;
	/**
	 * 出让年限
	 */
	private String landUseYear;
	/**
	 * 起始价
	 */
	private String moneyBegin;
	/**
	 * 分期支付约定
	 */
	private String paymentAgreement;
	/**
	 * 实际开工时间
	 */
	private Date realBeginTime;
	/**
	 * 实际竣工时间
	 */
	private Date realEndTime;
	/**
	 * 出让公告url
	 */
	private String sellNoticeUrl;
	/**
	 * 供地方式/供应方式
	 */
	private String supplyLandWay;
	/**
	 * 成交价格
	 */
	private Double transactionPrice;

	/**
	 * 成交价格-起
	 */
	private Double startTransactionPrice;

	/**
	 * 成交价格-止
	 */
	private Double endTransactionPrice;
	/**
	 * 成交公示日期
	 */
	private String transactionPublicityTime;
	/**
	 * 容积率
	 */
	private String volumeRate;
	/**
	 * 约定容积率上限
	 */
	private Double volumeRateHigh;
	/**
	 * 约定容积率下限
	 */
	private Double volumeRateLow;
	/**
	 * 来源
	 */
	private String dataSource;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 修改时间
	 */
	private String updateTime;
}
