package com.dsk.common.dtos;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 水利业绩筛选实体
 *
 * @author lcl
 * @create 2021/8/30
 */
@Data
public class ShuiliAchievementQueryDto implements Serializable {

    //参建单位
    private String ename;
    //建设单位
    private String buildCorpName;
    //项目负责人
    private String projectPrincipal;
    //业绩类型 单个
    private String achievementType;
    //工程类型
    private String projectType;
    //项目状态
    private String projectStatus;
    //工程等别
    private String grade;
    //工程级别
    private String level;
    //工程规模
    private String projectScale;
    //省
    private String divisionStr;
    //市
    private String cityStr;

    private String province;//注册地 省级code 多个逗号隔开

    private String city;//注册地 市级code 多个逗号隔开

    private String county;//注册地 区级code 多个逗号隔开
    //关键词（包含） 多个空格分隔
    private List<KeywordDto> keywords;
    //关键词（不包含） 多个空格分隔
    private String keywordNot;
    private String keywordNotType;

    //单项查询 关键词包含
    private String singleKeywordIn;
    //单项查询 关键词不包含
    private String singleKeywordOut;
    //单项查询 关键词包含体现节点
    private String singleKeywordInNode;
    //单项查询 关键词不包含体现节点
    private String singleKeywordOutNode;
    //项目金额（最大）
    private Double endMoney;
    //项目金额（最小）
    private Double startMoney;
    //项目金额体现 多个空格分隔
    private String moneyStr;
    //项目金额类型 and/or
    private String moneyQueryType;
    //实际开工时间(开始)
    private Date startTimeFactBegin;
    //实际开工时间(结束)
    private Date startTimeFactEnd;
    //实际竣工时间(开始)
    private Date overTimeFactBegin;
    //实际竣工时间(结束)
    private Date overTimeFactEnd;
    //开工日期(开始)
    private Date startTimeBegin;
    //开工日期(结束)
    private Date startTimeEnd;
    //完工日期(开始)
    private Date overTimeBegin;
    //完工日期(结束)
    private Date overTimeEnd;
    //合同签订日期(开始)
    private Date contractDateBegin;
    //合同签订日期(结束)
    private Date contractDateEnd;
    //报告提交日期(开始)
    private Date reportCommitDateBegin;
    //报告提交日期(结束)
    private Date reportCommitDateEnd;
    //时间类型 and/or
    private String timeQueryType;
    //截图体现节点
    private String screenshotShowNode;
    //截图体现类型  and/or
    private String screenshotShowType;
    //业绩数量
    private Integer achievementCount;
}
