package com.dsk.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 区域经济数据表
 * </p>
 *
 * @author xzr
 * @since 2023-05-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OpRegionalEconomicDataV1 implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区
     */
    private String area;

    /**
     * GDP(亿元)
     */
    private Double gdp;

    /**
     * GDP增长值
     */
    private Double gdpAddValue;

    /**
     * GDP增速(%)
     */
    private Double gdpGrowth;

    /**
     * 人均GDP(元)
     */
    private Double gdpPerCapita;

    /**
     * 第一产业增加值(亿元)
     */
    private Double piAddValue;

    /**
     * 第二产业增加值(亿元)
     */
    private Double siAddValue;

    /**
     * 第三产业增加值(亿元)
     */
    private Double tiAddValue;

    /**
     * 人口(万人)
     */
    private Double population;

    /**
     * 人口增长率（%）
     */
    private Double populationGrowthRate;

    /**
     * 人口增加值
     */
    private String populationAddValue;

    /**
     * 工业增加值(亿元)
     */
    private Double industryAddValue;

    /**
     * 工业总产值(亿元)
     */
    private Double industryTotalValue;

    /**
     * 固定资产投资(亿元)
     */
    private Double fixedInvestment;

    /**
     * 房地产开发投资(亿元)
     */
    private Double realEstateInvestment;

    /**
     * 进出口总额(亿美元)
     */
    private Double eximTotalValue;

    /**
     * 社会消费品零售总额(亿元)
     */
    private Double trscg;

    /**
     * 城镇居民人均可支配收入(元)
     */
    private Double urbanPcdi;

    /**
     * 一般公共预算收入(亿元)
     */
    private Double gbr;

    /**
     * 一般公共预算收入增速(%)
     */
    private Double gbrGrowth;

    /**
     * 税收收入(亿元)
     */
    private Double taxIncome;

    /**
     * 转移性收入(亿元)
     */
    private Double transferIncome;

    /**
     * 上级补助收入(亿元)
     */
    private Double superiorSubsidyIncome;

    /**
     * 一般公共预算支出(亿元)
     */
    private Double gbe;

    /**
     * 政府性基金收入(亿元)
     */
    private Double govFundIncome;

    /**
     * 土地出让收入(亿元)
     */
    private Double landTransferIncome;

    /**
     * 政府性基金支出(亿元)
     */
    private Double govFundExpenditure;

    /**
     * 国有资本经营收入(亿元)
     */
    private Double soecoi;

    /**
     * 国有资本经营支出(亿元)
     */
    private Double soecoe;

    /**
     * 地方政府债务余额(亿元)
     */
    private Double govDebtBalance;

    /**
     * 一般债余额(亿元)
     */
    private Double generalDebtBalance;

    /**
     * 专项债余额(亿元)
     */
    private Double specialDebtBalance;

    /**
     * 地方政府债务限额(亿元)
     */
    private Double govDebtLimit;

    /**
     * 城投平台有息债务(亿元)
     */
    private Double uipInterestBearingDebt;

    /**
     * 财政自给率(%)
     */
    private Double fiscalSelfSufficiencyRate;

    /**
     * 负债率(%)政府负债率(%)
     */
    private Double govDebtToGdpRate;

    /**
     * 负债率(宽口径)(%)政府负债率(宽口径)(%)
     */
    private Double govDebtToGdpRateWild;

    /**
     * 债务率(%)政府债务率(%)
     */
    private Double govDebtRate;

    /**
     * 债务率(宽口径)(%)政府债务率(宽口径)(%)
     */
    private Double govDebtRateWild;

    /**
     * 状态码
     */
    private Integer isDeal;

    /**
     * 状态码2
     */
    private Integer isStatua;

    /**
     * 全字段生成md5
     */
    private String md5;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


}
