package com.dsk.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 城投平台财务数据表
 * </p>
 *
 * @author xzr
 * @since 2023-05-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OpUipFinancialData implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 企业id
     */
    private Long companyId;

    /**
     * 省
     */
    private String province;

    /**
     * 省id
     */
    private Integer provinceId;

    /**
     * 市
     */
    private String city;

    /**
     * 市id
     */
    private Integer cityId;

    /**
     * 区
     */
    private String area;

    /**
     * 区id
     */
    private Integer areaId;

    /**
     * 最新报告期
     */
    private Date latestReportPeriod;

    /**
     * 最新评级
     */
    private String bratingSubjectLevel;

    /**
     * 股东背景
     */
    private String shareholderBg;

    /**
     * 实际控制人
     */
    private String actualController;

    /**
     * 股权关系
     */
    private String equityRelationship;

    /**
     * 行政级别
     */
    private String uipExecutiveLevel;

    /**
     * 平台重要性
     */
    private String platformImportance;

    /**
     * 债券余额（亿元）
     */
    private Double bondBalance;

    /**
     * 所属开发区
     */
    private String developmentZone;

    /**
     * 城投业务类型
     */
    private String uipBusinessType;

    /**
     * 总资产（亿元）
     */
    private Double totalAssets;

    /**
     * 归母净资产（亿元）
     */
    private Double belongNetAssets;

    /**
     * 货币资金（亿元）
     */
    private Double monetaryFunds;

    /**
     * 土地资产（亿元）
     */
    private Double landAssets;

    /**
     * 受限资产（亿元）
     */
    private Double restrictedAssets;

    /**
     * 应收账款（亿元）
     */
    private Double accountsReceivable;

    /**
     * 其他应收款（亿元）
     */
    private Double otherReceivable;

    /**
     * 公益性&准公益性主营占比（%）
     */
    private Double econData001;

    /**
     * 应收账款来自政府占比（%）
     */
    private Double receivableFromGovRatio;

    /**
     * 政府补助（亿元）
     */
    private Double govSubsidy;

    /**
     * 专项应付款（亿元）
     */
    private Double specialPayable;

    /**
     * 营业收入（亿元）
     */
    private Double operatingIncome;

    /**
     * 归母净利润（亿元）
     */
    private Double belongNetProfit;

    /**
     * 净资产收益率（%）
     */
    private Double roe;

    /**
     * 经营现金流量净额(亿元）
     */
    private Double netOperatingCashFlow;

    /**
     * 筹资现金流量净额（亿元）
     */
    private Double netFinancingCashFlow;

    /**
     * 投资现金流量净额（亿元）
     */
    private Double netInvestmentCashFlow;

    /**
     * 总负债（亿元）
     */
    private Double totalLiabilities;

    /**
     * 城投平台有息债务（亿元）
     */
    private Double uipInterestBearingDebt;

    /**
     * 有息债务/总负债（%)
     */
    private Double econData002;

    /**
     * 资产负债率（%）
     */
    private Double tdr;

    /**
     * 综合融资成本（%）
     */
    private Double ofcb;

    /**
     * 现金比率
     */
    private Double cashRatio;

    /**
     * 现金流量比率
     */
    private Double cashFlowRatio;

    /**
     * 现金到期债务比
     */
    private Double cashDebtRatio;

    /**
     * 授信余额（亿元）
     */
    private Double creditBalance;

    /**
     * 授信余额/全部债务（%）
     */
    private Double econData003;

    /**
     * EBITDA利息保障倍数
     */
    private String ebitdaIcr;

    /**
     * 私募债余额占比（%）
     */
    private Double ppnBalanceProp;

    /**
     * 一年内到期债券占比（%）
     */
    private Double econData004;

    /**
     * 债券余额/有息债务（%）
     */
    private Double econData005;

    /**
     * 借款（亿元）
     */
    private Double loan;

    /**
     * 借款/有息债务（%）
     */
    private Double econData006;

    /**
     * 非标余额（亿元）
     */
    private Double nonStandardBalance;

    /**
     * 非标余额/有息债务（%）
     */
    private Double nonStandardRatio;

    /**
     * 对外担保金额（亿元)
     */
    private Double guaranteeAmount;

    /**
     * 对外担保比例（%）
     */
    private Double guaranteeRatio;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 状态码1
     */
    private Integer isDeal;

    /**
     * 状态码2
     */
    private Integer isStatus;

    /**
     * 备用状态码1
     */
    private Integer state1;

    /**
     * 备用状态2
     */
    private Integer state2;


}
