package com.dsk.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 专项债债券信息表
 * </p>
 *
 * @author xzr
 * @since 2023-05-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpecialBondInformationV1 implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 项目表uuid
     */
    @TableId(value = "project_uuid", type = IdType.ID_WORKER_STR)
    private String projectUuid;

    /**
     * 专项债项目唯一标识
     */
    private String specialBondUuid;

    /**
     * 债券名称
     */
    private String bondName;

    /**
     * 债券简称
     */
    private String bondAbbreviation;

    /**
     * 招标日期
     */
    private Date tenderDate;

    /**
     * 债券发行规模
     */
    private String actualBondIssueScale;

    /**
     * 专项债用于项目规模(亿)
     */
    private String isUsedProjectScale;

    /**
     * 是否用资本金
     */
    private String isUsedCapital;

    /**
     * 债券评级
     */
    private String bondLevel;

    /**
     * 信用评级机构
     */
    private String creditRatingAgency;

    /**
     * 债券期限
     */
    private String actualBondDuration;

    /**
     * 发行利率
     */
    private String bondIssueRate;

    /**
     * 发债主体
     */
    private String ratingSubject;

    /**
     * 评级报告url（七牛云）
     */
    private String ratingReportUrl;


}
