package com.dsk.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 专项债项目表
 * </p>
 *
 * @author xzr
 * @since 2023-05-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpecialBondProjectsV1 implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 专项债券唯一标识
     */
    private String specialBondUuid;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 省
     */
    private String province;

    /**
     * 省id
     */
    private Integer provinceId;

    /**
     * 市
     */
    private String city;

    /**
     * 市id
     */
    private Integer cityId;

    /**
     * 区
     */
    private String area;

    /**
     * 区id
     */
    private Integer areaId;

    /**
     * 专项债项目类型
     */
    private String specialBondProjectType;

    /**
     * 建设规模
     */
    private String projectScale;

    /**
     * 偿债资金来源
     */
    private String sourceOfRepayment;

    /**
     * 项目主体
     */
    private String projectEntity;

    /**
     * 项目主体id
     */
    private Long projectEntityId;

    /**
     * 主管部门
     */
    private String chargeDepartment;

    /**
     * 实施单位
     */
    private String piu;

    /**
     * 实施单位id
     */
    private Long piuId;

    /**
     * 项目总投资
     */
    private String projectTotalInvestment;

    /**
     * 项目资本金
     */
    private String projectCapital;

    /**
     * 专项债融资
     */
    private String specialBondFinancing;

    /**
     * 专项债用作资本金
     */
    private String specialCapital;

    /**
     * 其他资金
     */
    private String otherFunds;

    /**
     * 专项债融资额
     */
    private String specialBondFinancingAmount;

    /**
     * 专项债只数
     */
    private String specialBondIssueNumber;

    /**
     * 其他融资
     */
    private String otherFinancing;

    /**
     * 政府安排资金
     */
    private String govSupportFunds;

    /**
     * 项目总收益/项目总债务融资本息(覆盖倍数)
     */
    private String econData007;

    /**
     * 项目总收益/项目总地方债券融资本息
     */
    private String econData008;

    /**
     * 项目总收益/项目总投资
     */
    private String econData009;

    /**
     * 项目总收益/项目总地方债券融资本金
     */
    private String econData010;

    /**
     * 项目总收益/项目总债务融资本金
     */
    private String econData011;

    /**
     * 项目预测总收益（亿）
     */
    private String projectForecastTotalRevenue;


}
