package com.dsk.system.domain.customer;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 客户负责人表
 *
 * @author lcl
 * @create 2023/5/17
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("customer_user")
public class CustomerUser implements Serializable {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 客户id
     */
    private String customerId;
    /**
     * 负责人id
     */
    private Long userId;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    public CustomerUser(String customerId, Long userId) {
        this.customerId = customerId;
        this.userId = userId;
    }
}
