package com.dsk.system.service;

import com.dsk.common.core.domain.entity.BusinessContacts;

import java.util.List;

/**
 * 项目联系人Service接口
 * 
 * @author ruoyi
 * @date 2023-05-17
 */
public interface IBusinessContactsService 
{
    /**
     * 查询项目联系人
     * 
     * @param id 项目联系人主键
     * @return 项目联系人
     */
    public BusinessContacts selectBusinessContactsById(Long id);

    /**
     * 查询项目联系人列表
     * 
     * @param businessContacts 项目联系人
     * @return 项目联系人集合
     */
    public List<BusinessContacts> selectBusinessContactsList(BusinessContacts businessContacts);

    /**
     * 新增项目联系人
     * 
     * @param businessContacts 项目联系人
     * @return 结果
     */
    public int insertBusinessContacts(BusinessContacts businessContacts);

    /**
     * 修改项目联系人
     * 
     * @param businessContacts 项目联系人
     * @return 结果
     */
    public int updateBusinessContacts(BusinessContacts businessContacts);

    /**
     * 批量删除项目联系人
     * 
     * @param ids 需要删除的项目联系人主键集合
     * @return 结果
     */
    public int deleteBusinessContactsByIds(Long[] ids);

    /**
     * 删除项目联系人信息
     * 
     * @param id 项目联系人主键
     * @return 结果
     */
    public int deleteBusinessContactsById(Long id);
}
